Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations MintJulep on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

SPLINE

Status
Not open for further replies.

palmeira

Structural
Oct 26, 2000
9

Plus, someone has any method to explode a SPLINE in the AC14?

Thanks
 
Replies continue below

Recommended for you

Dxfout the spline to R12, then import it, it will be a polyline.
 
This little ditty works wonders...

(defun C:SPLINE2PLINE (/ SPLINES PLINETYPE OSMODE I SPL ED CODEPAIR)
(if
(setq SPLINES (ssget (list (cons 0 "spline"))))
(progn
(if
(zerop (setq PLINETYPE (getvar "plinetype")))
(setvar "plinetype" 1)
) ;if
(setq OSMODE (getvar "osmode"))
(setvar "osmode" 0)
(setq I 0)
(while
(setq SPL (ssname SPLINES I))
(setq I (1+ I)
ED (entget SPL)
) ;setq
(command ".pline")
(foreach
CODEPAIR
ED
(if
(= 10 (car CODEPAIR))
(command (cdr CODEPAIR))
) ;if
) ;foreach
(command "")
(command ".pedit" "l" "s" "")
) ;while
(if PLINETYPE
(setvar "plinetype" PLINETYPE)
)
(setvar "osmode" OSMODE)
) ;progn
) ;if
(princ)
) ;defun

"Everybody is ignorant, only on different subjects." — Will Rogers
 

hi borgunit,

really, it's works wonders!

you save my life :), thanks


p.s. sapient Mr. Rogers
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor